Subject: Re: gettimeofday function, and crypt
From: [email-masked] (Geoffrey Noer)

23 May 1998 05:10:51 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Andy Piper <[email-masked]>,
        David Skidmore <[email-masked]>
Cc: [email-masked]

> These are also not in the headers, I have had to define these for XEmacs:
> 
> extern void cygwin32_win32_to_posix_path_list(const char*, char*);
> extern int cygwin32_win32_to_posix_path_list_buf_size(const char*);
> extern void cygwin32_posix_to_win32_path_list(const char*, char*);
> extern int cygwin32_posix_to_win32_path_list_buf_size(const char*);

These were recently added to sys/cygwin.h.

> struct timeval;
> struct timezone;
> extern int gettimeofday(struct timeval *tp, struct timezone *tzp);
> extern int gethostname (char* name, int namelen);
> extern char*	mktemp(char *);
> extern void	sync();
> extern int	ioctl(int, int, ...);

I just added these to the appropriate places...

> extern double	logb(double);

This one I have yet to deal with.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".